.\"
.\" EyeClock - A clock application for X. The eyes follow the mouse.
.\"
.\" EyeClock Copyright (c) 1998 Sakai Hiroaki.
.\" All Rights Reserved.
.\"
.\" BSD Daemon Copyright 1988 by Marshall Kirk McKusick.
.\" All Rights Reserved.
.\"
.\" EyeClock is a simple clock application for X11. You can put an optional
.\" picture on the face of the clock. And you can move the eyes of the
.\" picture following the mouse.
.\"
.\" EyeClock is a free software. You may copy or distribute the original
.\" EyeClock freely. But, you may not modify or distribute the original
.\" EyeClock without permission of the author.
.\"
.\" Statement on the Use of the BSD Daemon Figure:
.\"
.\" The BSD Daemon is to be used in the context of BSD software.
.\" So, if you are using BSD software (BSD/OS, FreeBSD, NetBSD, OpenBSD,
.\" or BSD utilities) in your Intranet environment, then use of the
.\" daemon is appropriate. If you are a Microsoft shop, then it is not
.\" appropriate.
.\"
.\" Individuals may use the daemon for their personal use within the
.\" bounds of good taste (an example of bad taste was a picture of the
.\" BSD daemon blowtorching a Solaris logo). When reasonably possible,
.\" I would like the text ``BSD Daemon Copyright 1988 by Marshall Kirk
.\" McKusick. All Rights Reserved.'' to be included.  This text need
.\" not be etched into the figure or garishly displayed when using the
.\" daemon as say an Icon in a Web window. A good example of how
.\" to handle the due credit in a web page is to create a link from
.\" the daemon picture to the following text:
.\"
.\"         BSD Daemon Copyright 1988 by Marshall Kirk McKusick.
.\"         All Rights Reserved.
.\"
.\"         Permission to use the daemon may be obtained from:
.\"                 Marshall Kirk McKusick
.\"                 1614 Oxford St
.\"                 Berkeley, CA 94709-1608
.\"                 USA
.\"         or via email at mckusick@mckusick.com
.\"
.\" If you are looking for daemon images, a pictorial history of the
.\" daemon can be found at http://www.mckusick.com/beastie/index.html.
.\"
.\" If you want to mass produce the daemon on Tshirts, CDROM's, or other
.\" products you need to request permission in advance. In general, I require
.\" that the daemon be used in an appropriate way. This means that it
.\" has to be something related to BSD and not expropriated as a company
.\" logo (though I do allow companies with BSD-based products such as
.\" Walnut Creek CDROM or BSDI to use it).  I regret having to be so
.\" legalistic about the daemon, but I almost lost the daemon to a
.\" certain large company because I failed to show due diligence in
.\" protecting it. So, I've taken due diligence seriously since then.
.\"
.\"         Marshall Kirk McKusick
.\"
.TH EYECLOCK 1 "Release 6" "X Version 11"
.SH NAME
EyeClock - A clock application for X. The eyes follow the mouse.
.SH SYNOPSIS
.B eyeclock
[ datafile ] [ -pixmap filename.xpm ] [ -options ... ]
.SH DESCRIPTION
EyeClock is a simple clock application for X11. You can put an optional
picture on the face of the clock. And you can move the eyes of the
picture following the mouse.
.SH OPTIONS
You can use all of the standard X-Toolkit options.
.sp
-display [displayname]
.br
	This option specifies the name of the X server to use.
.sp
-geometry [geometry]
.br
	This option specifies the placement of the window on the screen.
.sp
-name [name]
.br
	This option specifies the name of the application.
.sp
-h, -help
.br
	Output this message.
.sp
-clock
.br
	Draw the hour and the minute hand.
.sp
-noclock
.br
	Not draw the hour and the minute hand.
.sp
-eye
.br
	Move the eyes of the picture.
.sp
-noeye
.br
	Not move the eyes of the picture.
.sp
-every
.br
	Read data every time the mouse moves.
.sp
-noevery
.br
	Read data only the first time.
.sp
-v, -verbose
.br
	Output detailed parameters.
.sp
-noverbose
.br
	Not output detailed parameters.
.sp
-pixmap [filename]
.br
	This option specifies the filename of the pixmap.
	This option must be written before other options.
.sp
-width [n]
.br
	This option specifies the width of the clock.
.sp
-height [n]
.br
	This option specifies the height of the clock.
.sp
-eye-fg-color [color], -eye-foreground-color [color]
.br
	This option specifies the color of the iris of the eyes.
.sp
-eye-bg-color [color], -eye-background-color [color]
.br
	This option specifies the color of the white of the eyes.
.sp
-long-fg-color [color], -long-foreground-color [color]
.br
	This option specifies the color of the minute hand.
.sp
-long-bg-color [color], -long-background-color [color]
.br
	This option specifies the background color of the minute hand.
.sp
-short-fg-color [color], -short-foreground-color [color]
.br
	This option specifies the color of the hour hand.
.sp
-short-bg-color [color], -short-background-color [color]
.br
	This option specifies the background color of the hour hand.
.sp
-long-length [n]
.br
	This option specifies the length of the minute hand.
.sp
-long-fg-thickness [n], -long-foreground-thickness [n]
.br
	This option specifies the thickness of the minute hand.
.sp
-long-bg-thickness [n], -long-background-thickness [n]
.br
	This option specifies the background thickness of the minute hand.
.sp
-short-length [n]
.br
	This option specifies the length of the hour hand.
.sp
-short-fg-thickness [n], -short-foreground-thickness [n]
.br
	This option specifies the thickness of the hour hand.
.sp
-short-bg-thickness [n], -short-background-thickness [n]
.br
	This option specifies the background thickness of the hour hand.
.sp
-center [x] [y]
.br
	This option specifies the center of the clock.
.SH "SEE ALSO"
X(1)
.SH AUTHOR
Programed by Sakai Hiroaki.
.br
E-Mail:sakai@miya.ee.kagu.sut.ac.jp
.SH SPECIAL THANKS
Tsukuno Sawako for drawing some sample pictures.
.br
Tanaka Makoto for giving a sample picture.
.SH COPYRIGHT
EyeClock Copyright (c) 1998 Sakai Hiroaki.
.br
All Rights Reserved.
.sp
BSD Daemon Copyright 1988 by Marshall Kirk McKusick.
.br
All Rights Reserved.
.sp
EyeClock is a free software. You may copy or distribute the original
EyeClock freely. But, you may not modify or distribute the original
EyeClock without permission of the author.
